Bug 84756 - Chart Labels not aligned as expected (macro open empty chart in writer)
Summary: Chart Labels not aligned as expected (macro open empty chart in writer)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Labels
  Show dependency treegraph
 
Reported: 2014-10-07 14:26 UTC by mmaurer
Modified: 2018-06-16 23:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Text orientation of label to 90° and result (103.54 KB, image/png)
2014-10-07 14:26 UTC, mmaurer
Details
Macro to open the chart (9.71 KB, application/vnd.oasis.opendocument.text)
2014-10-14 07:08 UTC, mmaurer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mmaurer 2014-10-07 14:26:24 UTC
Created attachment 107498 [details]
Text orientation of label to 90° and result

To reproduced it create a macro and execute following command:

StarDesktop.loadComponentFromURL("private:factory/schart", 0, 0, Array())

A new Window showing a Chart Diagram will be opened.
Edit the Chart Data Table and enter for the Categories some long texts.
Edit the X-Axis and set on the tab "Label" 90° as Text orientation.

By resizing the window we can see that the categories-text are not alignedand  but the position is still changing.

Edit the X-Axis and set on the tab "Label" 91° as Text orientation --> all works as expected.

Error was found on 4.0.3.3. I have tried to reproduce it on 4.3.0 but the macro open only an empty window (no chart available)
Comment 1 raal 2014-10-14 04:46:22 UTC
Hello ,
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 mmaurer 2014-10-14 07:08:35 UTC
Created attachment 107804 [details]
Macro to open the chart

I have attached a Document with a macro that open a new chart diagram and set the properties to reproduced the behavior.
Comment 3 raal 2014-11-06 18:39:30 UTC
with LO Version: 4.4.0.0.alpha1+ or 4.2.7.2 macro open empty chart. With LO 3.5 the chart is open. 
Setting as new, macro open empty chart.
Comment 4 QA Administrators 2015-12-20 16:20:12 UTC Comment hidden (obsolete)
Comment 5 mmaurer 2016-01-04 10:25:42 UTC
There are 2 Problems:
- with a new version of LibreOffice (tested with 4.3.0, 5.0.0.5 and 5.0.4.2) the macro opens an empty document, and so alignement of chart labels can not be tested) --> regression
- Chart Labels are not aligned as expected --> tested in OpenOffice, bug is already present --> inherited from OOo

Operating System = Windows 7 Professional
Comment 6 Xisco Faulí 2016-09-13 09:39:30 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2017-03-10 14:50:22 UTC
Removing preBibisect, regression if it's inherited from OOo
Comment 8 QA Administrators 2018-06-16 02:45:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug